aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-ws4py/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-07-18 09:32:35 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-07-18 09:32:35 +0000
commita7a2bdb393c4166c902a00d6ccc9ee626e3b8b05 (patch)
tree629cfd14148a8fcb2aea50c885518c80adb842b1 /testing/py-ws4py/APKBUILD
parent50b2f877f2398052774eae166ca402ab9f11072e (diff)
downloadaports-a7a2bdb393c4166c902a00d6ccc9ee626e3b8b05.tar.gz
aports-a7a2bdb393c4166c902a00d6ccc9ee626e3b8b05.tar.bz2
aports-a7a2bdb393c4166c902a00d6ccc9ee626e3b8b05.tar.xz
testing/py-ws4py: new aport
Diffstat (limited to 'testing/py-ws4py/APKBUILD')
-rw-r--r--testing/py-ws4py/APKBUILD51
1 files changed, 51 insertions, 0 deletions
diff --git a/testing/py-ws4py/APKBUILD b/testing/py-ws4py/APKBUILD
new file mode 100644
index 0000000000..06536c803f
--- /dev/null
+++ b/testing/py-ws4py/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=py-ws4py
+_pkgname=ws4py
+_pyid=1784512791fbd196a48f282ca6c79398cace9541a9c151d89c30b6add6e1
+pkgver=0.3.5
+pkgrel=0
+pkgdesc="WebSocket client and server library for Python 2 and 3 as well as PyPy"
+url="https://github.com/Lawouach/WebSocket-for-Python"
+arch="noarch"
+license="BSD"
+depends=""
+makedepends="python-dev python3-dev"
+install=""
+subpackages="py3-$_pkgname:_py3 py2-$_pkgname:_py2"
+source="https://pypi.python.org/packages/c8/b4/$_pyid/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver"
+
+build() {
+ cd "$builddir"
+ python setup.py build || return 1
+ python3 setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python setup.py install --root=$pkgdir/ --optimize=1 || return 1
+ python3 setup.py install --root=$pkgdir/ --optimize=1 || return 1
+}
+
+_py() {
+ local python=$1
+ pkgdesc="$pkgdesc - $python"
+ install_if="$pkgname=$pkgver-r$pkgrel $python"
+ local dir=$($python -c 'import sysconfig; print(sysconfig.get_path("stdlib"))')
+
+ mkdir -p "$subpkgdir"${dir}
+ mv "$pkgdir"${dir}/* "$subpkgdir"${dir}
+}
+
+_py2() {
+ _py python2
+}
+
+_py3() {
+ _py python3
+}
+
+md5sums="b0cbe30433350ef5ec98e8cbb3c3b39c ws4py-0.3.5.tar.gz"
+sha256sums="c4cc4a872027f6a6006a6142a38eb6d65c2ece29a4cefac98dd20a48c34ec7a9 ws4py-0.3.5.tar.gz"
+sha512sums="0a4a2ba718808c7ee93327913290df3920505a91181ebfe2007889bde7e09d7ce6a72d7ff6ec13bc3c3c06305d1c476133aec77b584d4c21bad50761611c9269 ws4py-0.3.5.tar.gz"